Bug 1278746 - [abrt] xfce4-panel: _gtk_widget_run_controllers(): wrapper-2.0 killed by SIGSEGV
[abrt] xfce4-panel: _gtk_widget_run_controllers(): wrapper-2.0 killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:23e6899df87d7d5e04c7d1a50a4...
:
: 1294249 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 05:50 EST by Moritz Kammerer
Modified: 2016-02-23 03:22 EST (History)
8 users (show)

See Also:
Fixed In Version: xfce4-power-manager-1.5.2-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-14 21:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.68 KB, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: core_backtrace (5.17 KB, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: dso_list (10.01 KB, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: environ (1.33 KB, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: maps (46.98 KB, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: mountinfo (3.21 KB, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: open_fds (780 bytes, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-11-06 05:50 EST, Moritz Kammerer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 12291 None None None Never

  None (edit)
Description Moritz Kammerer 2015-11-06 05:50:14 EST
Description of problem:
Open the energy management plugin and drag the slider for the screen brightness to 0.

Version-Release number of selected component:
xfce4-panel-4.12.0-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper-2.0 /usr/lib64/xfce4/panel/plugins/libxfce4powermanager.so 7 16955248 power-manager-plugin Energieverwaltungserweiterung 'Den Akkuladestand Ihrer Ger\xc3\xa4te anzeigen und die Helligkeit Ihres Bildschirms steuern' ''
crash_function: _gtk_widget_run_controllers
executable:     /usr/lib64/xfce4/panel/wrapper-2.0
global_pid:     28958
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_widget_run_controllers at gtkwidget.c:7304
 #1 scale_menu_item_grab_broken at ../scalemenuitem.c:324
 #2 scale_menu_item_button_release_event at ../scalemenuitem.c:281
 #3 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #4 _g_closure_invoke_va at gclosure.c:864
 #7 gtk_widget_event_internal at gtkwidget.c:7692
 #8 propagate_event_up at gtkmain.c:2517
 #9 propagate_event at gtkmain.c:2619
 #10 gtk_main_do_event at gtkmain.c:1850
 #16 gtk_main at gtkmain.c:1241
Comment 1 Moritz Kammerer 2015-11-06 05:50:20 EST
Created attachment 1090581 [details]
File: backtrace
Comment 2 Moritz Kammerer 2015-11-06 05:50:21 EST
Created attachment 1090582 [details]
File: cgroup
Comment 3 Moritz Kammerer 2015-11-06 05:50:23 EST
Created attachment 1090583 [details]
File: core_backtrace
Comment 4 Moritz Kammerer 2015-11-06 05:50:24 EST
Created attachment 1090584 [details]
File: dso_list
Comment 5 Moritz Kammerer 2015-11-06 05:50:26 EST
Created attachment 1090585 [details]
File: environ
Comment 6 Moritz Kammerer 2015-11-06 05:50:27 EST
Created attachment 1090586 [details]
File: exploitable
Comment 7 Moritz Kammerer 2015-11-06 05:50:29 EST
Created attachment 1090587 [details]
File: limits
Comment 8 Moritz Kammerer 2015-11-06 05:50:31 EST
Created attachment 1090588 [details]
File: maps
Comment 9 Moritz Kammerer 2015-11-06 05:50:32 EST
Created attachment 1090589 [details]
File: mountinfo
Comment 10 Moritz Kammerer 2015-11-06 05:50:34 EST
Created attachment 1090590 [details]
File: open_fds
Comment 11 Moritz Kammerer 2015-11-06 05:50:35 EST
Created attachment 1090591 [details]
File: proc_pid_status
Comment 12 Kevin Fenzi 2015-11-06 10:41:13 EST
Can you get this to happen everytime?
Comment 13 Moritz Kammerer 2015-11-06 11:12:18 EST
Every time: Click the icon, drag the slider to 0, drag the slider to max, crash.
Comment 14 Kevin Fenzi 2015-11-06 13:35:18 EST
I can duplicate it here too. 

Filed upstream: https://bugzilla.xfce.org/show_bug.cgi?id=12291
Comment 15 unknown 2015-11-08 21:35:05 EST
Has anyone else had an increase in CPU usage from xfce4 -power-manager - 1.5.2-1.fc23.x86_64 and xfce4 - pulseaudio -plugin- 0.2.3-2.fc23.x86_64 ?

( Just be open the desktop)

top - 23:29:27 up  3:06,  2 users,  load average: 0,53, 0,62, 0,90
Tasks: 155 total,   1 running, 154 sleeping,   0 stopped,   0 zombie
%Cpu(s): 10,2 us,  3,8 sy,  0,0 ni, 85,6 id,  0,3 wa,  0,0 hi,  0,0 si,  0,0 st
KiB Mem :  6022652 total,  4573024 free,   242604 used,  1207024 buff/cache
KiB Swap:  1952764 total,  1952764 free,        0 used.  5664032 avail Mem 

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                                                            
10099 root      20   0  266424  33308  23216 S   9,6  0,6   6:28.11 Xorg                                                               
10392 unknown   20   0  652468  26112  21812 S   9,6  0,4   5:05.59 panel-16-pulsea                                                    
14454 unknown   20   0  503304  36500  22888 S   7,3  0,6   0:50.33 panel-17-power-                                                    
10375 unknown   20   0  320876  21448  17180 S   1,7  0,4   0:59.22 xfwm4                                                              
    9 root      20   0       0      0      0 S   0,7  0,0   0:44.87 rcuos/0                                                            
15423 root      20   0  162872   4568   3856 R   0,7  0,1   0:00.03 top                                                                
    7 root      20   0       0      0      0 S   0,3  0,0   0:28.59 rcu_sched                                                          
   18 root      20   0       0      0      0 S   0,3  0,0   0:06.82 rcuos/1                                                            
  577 root     -51   0       0      0      0 S   0,3  0,0   0:22.92 irq/29-iwlwifi                                                     
10377 unknown   20   0  490816  25152  20036 S   0,3  0,4   0:20.59 xfce4-panel                                                        
10433 unknown   20   0  163172   4892   4284 S   0,3  0,1   0:08.22 xscreensaver                                                       
    1 root      20   0   54572   8356   5708 S   0,0  0,1   0:03.70 systemd                                                            
    2 root      20   0       0      0      0 S   0,0  0,0   0:00.00 kthreadd                                                           
    3 root      20   0       0      0      0 S   0,0  0,0   0:00.02 ksoftirqd/0                                                        
    5 root       0 -20       0      0      0 S   0,0  0,0   0:00.00 kworker/0:0H                                                       
    8 root      20   0       0      0      0 S   0,0  0,0   0:00.00 rcu_bh                                                             
   10 root      20   0       0      0      0 S   0,0  0,0   0:00.00 rcuob/0                                                            
   11 root      rt   0       0      0      0 S   0,0  0,0   0:00.01 migration/0                                                        
   12 root      rt   0       0      0      0 S   0,0  0,0   0:00.03 watchdog/0                                                         
   13 root      rt   0       0      0      0 S   0,0  0,0   0:00.02 watchdog/1                                                         
   14 root      rt   0       0      0      0 S   0,0  0,0   0:00.01 migration/1                                                        
   15 root      20   0       0      0      0 S   0,0  0,0   0:00.02 ksoftirqd/1                                                        
   17 root       0 -20       0      0      0 S   0,0  0,0   0:00.00 kworker/1:0H                                                       
   19 root      20   0       0      0      0 S   0,0  0,0   0:00.00 rcuob/1                                                            
   20 root       0 -20       0      0      0 S   0,0  0,0   0:00.00 khelper                                                            
   21 root      20   0       0      0      0 S   0,0  0,0   0:00.00 kdevtmpfs                                                          
   22 root       0 -20       0      0      0 S   0,0  0,0   0:00.00 netns                                                              
   23 root       0 -20       0      0      0 S   0,0  0,0   0:00.00 perf
Comment 16 Raphael Groner 2015-11-09 05:23:41 EST
libxfce4powermanager.so as cmdline says, is part of xfpm. Reassigning.
Comment 17 Kevin Fenzi 2015-11-09 10:43:48 EST
(In reply to unknown from comment #15)
> Has anyone else had an increase in CPU usage from xfce4 -power-manager -
> 1.5.2-1.fc23.x86_64 and xfce4 - pulseaudio -plugin- 0.2.3-2.fc23.x86_64 ?

I have from time to time and been unable to isolate it. ;( 

In any case thats not what this bug is about. ;)
Comment 18 unknown 2015-12-09 14:56:45 EST
The problem was fixed in the latest update of gtk3 .
Comment 19 Mukundan Ragavan 2016-01-25 18:00:39 EST
Can anyone seeing this issue please test this build to see if it solves the slider crash issue?

https://koji.fedoraproject.org/koji/taskinfo?taskID=12682519
Comment 20 Kevin Fenzi 2016-01-26 18:14:27 EST
*** Bug 1294249 has been marked as a duplicate of this bug. ***
Comment 21 Lukas Slebodnik 2016-01-27 07:23:12 EST
(In reply to Mukundan Ragavan from comment #19)
> Can anyone seeing this issue please test this build to see if it solves the
> slider crash issue?
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=12682519

I wrote in duplicated BZ1294249 but I can repeat it here as well.
The scratch build works for me. Crash is gone.
Comment 22 Mukundan Ragavan 2016-01-28 21:47:32 EST
Thanks Lukas.
Comment 23 Fedora Update System 2016-02-08 20:06:42 EST
xfce4-power-manager-1.5.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a7fdc205b
Comment 24 Fedora Update System 2016-02-09 17:26:20 EST
xfce4-power-manager-1.5.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a7fdc205b
Comment 25 Fedora Update System 2016-02-14 21:51:04 EST
xfce4-power-manager-1.5.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.